#!/bin/csh

set EXE = ./make_xsdir_list.exe

set INP_DIR   = ./inp
set ACE_DIR   = ./ace_ori

foreach DIR( ace_f  ace_n )
  mkdir -p ./${DIR}
end

foreach INP ( ace_collection_frendy.inp  ace_collection_njoy.inp )
  set ACE_ORI_DIR = ../frendy/ace
  if( ${INP} == "ace_collection_njoy.inp" ) then
    set ACE_ORI_DIR = ../njoy/ace
  endif

  mkdir -p ${ACE_DIR}
  cp -rpf ${ACE_ORI_DIR}/*.ace  ${ACE_DIR}/
  rm -rf ${ACE_DIR}/HinH2O.ace

  ${EXE}  ${INP_DIR}/${INP}

  rm -rf ${ACE_DIR}
end

