#!/bin/csh

set PWD       = `pwd`
set EXE       = ../../link_base/frendy_dir/frendy/main/frendy.exe

set PEN_DIR_F = ../../frendy/pendf
set PEN_DIR_N = ../../njoy/pendf
set INP_DIR   = ./inp
set OUT_DIR   = ./out

mkdir -p ${INP_DIR} ${OUT_DIR}

foreach PEN_F( `ls ${PEN_DIR_F}/*.pendf` )
  set CASE_NAME = `basename ${PEN_F} .pendf`
  echo ${CASE_NAME}

  set PEN_N = ${PEN_DIR_N}/${CASE_NAME}.pendf
  set INP   = ${INP_DIR}/${CASE_NAME}.inp

  echo "plot_mode //processing mode"               > ${INP}
  echo "endf_file_name   ( ${PEN_N}  ${PEN_F} )"  >> ${INP}
  echo "  //Ref  : ${PEN_N}"                      >> ${INP}
  echo "  //Comp : ${PEN_F}"                      >> ${INP}
  echo "output_name     ${OUT_DIR}/comp_result_${CASE_NAME}"  >> ${INP}

  ${EXE}  ${INP} > ${OUT_DIR}/${CASE_NAME}.log
end


