#!/bin/csh

set PWD       = `pwd`
set EXE       = ../../link_base/frendy_dir/frendy/main/frendy.exe

set ACE_DIR_F = ../../frendy/ace
set ACE_DIR_N = ../../njoy/ace
set INP_DIR   = ./inp
set OUT_DIR   = ./out

mkdir -p ${INP_DIR} ${OUT_DIR}

foreach ACE_F( `ls ${ACE_DIR_F}/*.ace` )
  set CASE_NAME = `basename ${ACE_F} .ace`
  echo ${CASE_NAME}

  set ACE_N = ${ACE_DIR_N}/${CASE_NAME}.ace
  set INP   = ${INP_DIR}/${CASE_NAME}.inp

  echo "plot_mode //processing mode"               > ${INP}
  echo "ace_file_name   ( ${ACE_N}  ${ACE_F} )"   >> ${INP}
  echo "  //Ref  : ${ACE_N}"                      >> ${INP}
  echo "  //Comp : ${ACE_F}"                      >> ${INP}
  echo "output_name     ${OUT_DIR}/comp_result_${CASE_NAME}"  >> ${INP}

  ${EXE}  ${INP} > ${OUT_DIR}/${CASE_NAME}.log
end

