#!/bin/csh

set PWD     = `pwd`
set EXE     = ../../link_base/frendy_dir/frendy/main/frendy.exe

set ACE_DIR = ../../frendy/ace
set INP_DIR = ./inp
set OUT_DIR = ./out_each

mkdir -p ${INP_DIR} ${OUT_DIR}

foreach ACE( `ls ${ACE_DIR}/*.ace` )
  set CASE_NAME = `basename ${ACE} .ace`
  echo ${CASE_NAME}

  set INP = ${INP_DIR}/${CASE_NAME}.inp

  echo "plot_mode //processing mode"               > ${INP}
  echo "ace_file_name   ${ACE}"                   >> ${INP}
  echo "output_name     ${OUT_DIR}/${CASE_NAME}"  >> ${INP}
  echo "mt_list         ( 1  18  101 )"           >> ${INP}

  ${EXE}  ${INP} > ${OUT_DIR}/${CASE_NAME}.log
end


