#!/bin/csh

set PWD     = `pwd`
set EXE     = ../../link_base/frendy_dir/frendy/main/frendy.exe

set PEN_DIR = ../../frendy/pendf
set INP_DIR = ./inp
set OUT_DIR = ./out

mkdir -p ${INP_DIR}  ${OUT_DIR}

foreach PENDF( `ls ${PEN_DIR}/*.pendf` )
  set CASE_NAME = `basename ${PENDF} .pendf`
  echo ${CASE_NAME}

  set INP = ${INP_DIR}/${CASE_NAME}.inp

  echo "plot_mode //processing mode"                > ${INP}
  echo "endf_file_name   ${PENDF}"                 >> ${INP}
  echo "output_name      ${OUT_DIR}/${CASE_NAME}"  >> ${INP}

  ${EXE}  ${INP} > ${OUT_DIR}/${CASE_NAME}.log
end


